#---------------------------------------------
	## General Commands ##

# from
# Nature. 2015 Sep 24;525(7570):486-90. doi: 10.1038/nature15368
# Structure of the toxic core of α-synuclein from invisible crystals.

# delete all objects and reset pymol
reinitialize

# set the background color to white
bg_color white

# make the background transparent for #ray trace 
set ray_opaque_background, 0

# set the ray trace mode
# normal color
set ray_trace_mode, 0
# normal color + black outline
#set ray_trace_mode,  1
# black outline only
#set ray_trace_mode,  2

# turn off shadows
set ray_shadows, 0

# set the mouse mode for laptop.
set mouse_selection_mode, 1

# run the python program for hydrogen bonding interactions.
run files/python/list_hbonds.py
#------ put the python program list_hbonds.py
#------into the directory python.

#----------------------------------------

load files/coords_1.pdb, cartoon_1

hide everything, cartoon_1
show cartoon, cartoon_1 
color smudge, ss s, , cartoon_1
color red, ss h, , cartoon_1
color wheat, ss l, , cartoon_1

load files/coords_1.pdb, stick_1
hide everything, stick_1
show stick, stick_1 
color smudge, ss s
color red, ss h
color wheat, ss l


# color atoms by type
color wheat, name C* and (stick_1)
color red, name O* and (stick_1)
color blue, name N* and (stick_1)
color yellow, name S* and (stick_1)


dist hbond_NH_O, (name O and stick_1 and chain A), (name N and stick_1 and chain B), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain A), (name O and stick_1 and chain B), 3.2 


dist hbond_NH_O, (name O and stick_1 and chain B), (name N and stick_1 and chain C), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain B), (name O and stick_1 and chain C), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain C), (name N and stick_1 and chain D), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain C), (name O and stick_1 and chain D), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain D), (name N and stick_1 and chain E), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain D), (name O and stick_1 and chain E), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain E), (name N and stick_1 and chain F), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain E), (name O and stick_1 and chain F), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain G), (name N and stick_1 and chain H), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain G), (name O and stick_1 and chain H), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain H), (name N and stick_1 and chain I), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain H), (name O and stick_1 and chain I), 3.2 


dist hbond_NH_O, (name O and stick_1 and chain I), (name N and stick_1 and chain J), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain I), (name O and stick_1 and chain J), 3.2 

dist hbond_NH_O, (name O and stick_1 and chain J), (name N and stick_1 and chain K), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain J), (name O and stick_1 and chain K), 3.2 


dist hbond_NH_O, (name O and stick_1 and chain K), (name N and stick_1 and chain L), 3.2 
dist hbond_NH_O, (name N and stick_1 and chain K), (name O and stick_1 and chain L), 3.2 



# Control the label
color black, hbond_NH_O
set label_size, -1.0
set label_size, 6.0, 
set label_color, black,
set label_outline_color, black
set label_shadow_mode=2




#----------------------------------------


### cut below here and paste into script ###
set_view (\
     0.469854712,    0.382787049,   -0.795430422,\
     0.834893167,    0.099933773,    0.541255474,\
     0.286677063,   -0.918412566,   -0.272633612,\
     0.000000000,    0.000000000, -284.418060303,\
    15.298979759,   -1.752212524,    8.927749634,\
  -676.633544922, 1245.469604492,  -20.000000000 )
### cut above here and paste into script ### 

#ray 1100,1400
#save image_1.png